.TH API_HOUR "1" "July 2016" "api_hour (version 19.6.0)" "User Commands"
.SH NAME
api_hour \- command line runner for launching API-Hour with container
.SH DESCRIPTION
usage: api_hour [OPTIONS] [APP_MODULE]
.SS "optional arguments:"
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-v\fR, \fB\-\-version\fR
show program's version number and exit
.TP
\fB\-\-ciphers\fR CIPHERS
Ciphers to use (see stdlib ssl module's) [TLSv1]
.TP
\fB\-\-check\-config\fR
Check the configuration. [False]
.TP
\fB\-\-log\-level\fR LEVEL
The granularity of Error log outputs. [info]
.TP
\fB\-\-limit\-request\-fields\fR INT
Limit the number of HTTP headers fields in a request.
[100]
.TP
\fB\-\-proxy\-allow\-from\fR PROXY_ALLOW_IPS
Front\-end's IPs from which allowed accept proxy
requests (comma separate). [127.0.0.1]
.TP
\fB\-\-access\-logformat\fR STRING
The access log format. [%(h)s %(l)s %(u)s %(t)s
"%(r)s" %(s)s %(b)s "%(f)s" "%(a)s"]
.TP
\fB\-\-ssl\-version\fR SSL_VERSION
SSL version to use (see stdlib ssl module's)
[_SSLMethod.PROTOCOL_TLSv1]
.TP
\fB\-\-chdir\fR CHDIR
Chdir to specified directory before apps loading.
[/tmp/build/api\-hour\-0.8.1]
.TP
\fB\-\-log\-syslog\-facility\fR SYSLOG_FACILITY
Syslog facility name [user]
.TP
\fB\-\-limit\-request\-field_size\fR INT
Limit the allowed size of an HTTP request header
field. [8190]
.TP
\fB\-\-threads\fR INT
The number of worker threads for handling requests.
[1]
.TP
\fB\-\-statsd\-host\fR STATSD_ADDR
``host:port`` of the statsd server to log to. [None]
.TP
\fB\-\-preload\fR
Load application code before the worker processes are
forked. [False]
.TP
\fB\-g\fR GROUP, \fB\-\-group\fR GROUP
Switch worker process to run as this group. [1000]
.TP
\fB\-R\fR, \fB\-\-enable\-stdio\-inheritance\fR
Enable stdio inheritance. [False]
.TP
\fB\-\-worker\-connections\fR INT
The maximum number of simultaneous clients. [1000]
.TP
\fB\-\-certfile\fR FILE
SSL certificate file [None]
.TP
\fB\-D\fR, \fB\-\-daemon\fR
Daemonize the Gunicorn process. [False]
.TP
\fB\-\-limit\-request\-line\fR INT
The maximum size of HTTP request line in bytes. [4094]
.TP
\fB\-\-log\-syslog\-to\fR SYSLOG_ADDR
Address to send syslog messages. [udp://localhost:514]
.TP
\fB\-b\fR ADDRESS, \fB\-\-bind\fR ADDRESS
The socket to bind. [['127.0.0.1:8000']]
.TP
\fB\-\-worker\-tmp\-dir\fR DIR
A directory to use for the worker heartbeat temporary
file. [None]
.TP
\fB\-\-log\-config\fR FILE
The log config file to use. [None]
.TP
\fB\-u\fR USER, \fB\-\-user\fR USER
Switch worker processes to run as this user. [1000]
.TP
\fB\-\-backlog\fR INT
The maximum number of pending connections. [2048]
.TP
\fB\-\-pythonpath\fR STRING
A comma\-separated list of directories to add to the
Python path. [None]
.TP
\fB\-n\fR STRING, \fB\-\-name\fR STRING
A base to use with setproctitle for process naming.
[None]
.TP
\fB\-\-suppress\-ragged\-eofs\fR
Suppress ragged EOFs (see stdlib ssl module's) [True]
.TP
\fB\-\-reload\fR
Restart workers when code changes. [False]
.TP
\fB\-\-access\-logfile\fR FILE
The Access log file to write to. [None]
.TP
\fB\-\-settings\fR STRING
The Python path to a Django settings module.
(deprecated) [None]
.TP
\fB\-\-forwarded\-allow\-ips\fR STRING
Front\-end's IPs from which allowed to handle set
secure headers. [127.0.0.1]
.TP
\fB\-\-error\-logfile\fR FILE, \fB\-\-log\-file\fR FILE
The Error log file to write to. [\-]
.TP
\fB\-\-log\-syslog\-prefix\fR SYSLOG_PREFIX
Makes Gunicorn use the parameter as program\-name in
the syslog entries. [None]
.TP
\fB\-\-capture\-output\fR
Redirect stdout/stderr to Error log. [False]
.TP
\fB\-\-statsd\-prefix\fR STATSD_PREFIX
Prefix to use when emitting statsd metrics (a trailing
``.`` is added, []
.TP
\fB\-w\fR INT, \fB\-\-workers\fR INT
The number of worker processes for handling requests.
[1]
.TP
\fB\-e\fR ENV, \fB\-\-env\fR ENV
Set environment variable (key=value). [[]]
.TP
\fB\-\-graceful\-timeout\fR INT
Timeout for graceful workers restart. [30]
.TP
\fB\-\-keyfile\fR FILE
SSL key file [None]
.TP
\fB\-\-no\-sendfile\fR
Disables the use of ``sendfile()``. [None]
.TP
\fB\-m\fR INT, \fB\-\-umask\fR INT
A bit mask for the file mode on files written by
Gunicorn. [0]
.TP
\fB\-\-do\-handshake\-on\-connect\fR
Whether to perform SSL handshake on socket connect
(see stdlib ssl module's) [False]
.TP
\fB\-\-spew\fR
Install a trace function that spews every line
executed by the server. [False]
.TP
\fB\-\-proxy\-protocol\fR
Enable detect PROXY protocol (PROXY mode). [False]
.TP
\fB\-\-config_dir\fR CONFIG_DIR
Config directory of your API\-Hour Daemon. Example:
/etc/hello/ [None]
.TP
\fB\-ac\fR, \fB\-\-auto_config\fR
Enable auto\-configuration discover based on daemon
name [False]
.TP
\fB\-\-max\-requests\-jitter\fR INT
The maximum jitter to add to the *max_requests*
setting. [0]
.TP
\fB\-t\fR INT, \fB\-\-timeout\fR INT
Workers silent for more than this many seconds are
killed and restarted. [30]
.TP
\fB\-c\fR CONFIG, \fB\-\-config\fR CONFIG
The Gunicorn config file. [None]
.TP
\fB\-\-paste\fR STRING, \fB\-\-paster\fR STRING
Load a PasteDeploy config file. The argument may
contain a ``#`` [None]
.TP
\fB\-\-cert\-reqs\fR CERT_REQS
Whether client certificate is required (see stdlib ssl
module's) [0]
.TP
\fB\-\-logger\-class\fR STRING
The logger you want to use to log events in Gunicorn.
[gunicorn.glogging.Logger]
.TP
\fB\-\-log\-syslog\fR
Send *Gunicorn* logs to syslog. [False]
.TP
\fB\-k\fR STRING, \fB\-\-worker\-class\fR STRING
The type of workers to use. [sync]
.TP
\fB\-\-keep\-alive\fR INT
The number of seconds to wait for requests on a KeepAlive connection. [2]
.TP
\fB\-p\fR FILE, \fB\-\-pid\fR FILE
A filename to use for the PID file. [None]
.TP
\fB\-\-ca\-certs\fR FILE
CA certificates file [None]
.TP
\fB\-\-max\-requests\fR INT
The maximum number of requests a worker will process
before restarting. [0]
.SH "SEE ALSO"
The full documentation for
.B api_hour
is available on http://www.api-hour.io 
